Subject: Re: [PATCH] Introduce file with the common default build-time items.

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 14 Jun 2007 11:09:29 -0400

Eygene Ryabinkin <[email-masked]> wrote:
> 
> Thu, Jun 14, 2007 at 12:36:33AM -0400, Shawn O. Pearce wrote:
> > Eygene Ryabinkin <[email-masked]> wrote:
> > > Words 'wish' and 'tclsh' are scattered across at least three files,
> > > but they are tied to the same entities.  To ease the maintenance
> > > and remove errors, these configuration items were gathered into the
> > > separate file named 'common-make-vars.def'.
...
> > A good idea to try and make these all common, but you cannot do this,
> > or at least this part of the patch.
> 
> OK, but then may be it will be logical to put Tcl/Tk-related variables
> to the git-gui/common-make-vars.def?  I am a little worried about
> this, because gitk is the part of the git.git and it should get the
> variables too.  The drawback here is if you will update your git-gui
> repo, then git.git will need to wait for your import to get the
> changes in the variables.  And this will seriously couple git.git
> and git-gui, though I don't know if it is good or bad.

No, because Junio has already stated a desire to remove git-gui.git
from git.git and convert it to a proper subproject by the time of
Git 1.6.  That means the git-gui/ subdirectory will become optional,
though I imagine most git-gui users will still have it.  But not
all Git users are git-gui users.  ;-)

The best we can do is let the user pick their TCL_PATH and
TCLTK_PATH up in git's own Makefile, and have it pass down into
git-gui's Makefile when git-gui is being built from within git.
That is the arrangement we currently have.

-- 
Shawn.